unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileCtrl, DBTables, BDE;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    Database1: TDatabase;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  S : String;
begin
  SelectDirectory(S, [], 0);
  Edit1.Text := S;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  DBs : TDatabase;
begin
  if (Edit1.Text <> '') then begin
    Check(DBIInit(nil));
    DBs := TDatabase.Create(nil);
    with DBs do begin
      Params.Add('path=' + Edit1.Text);
      DatabaseName := 'MyLockDB';
      DriverName := 'STANDARD';
      Connected := True;
    end;

    Check(DbiAcqPersistTableLock(Dbs.Handle, 'PARADOX.DRO', 'PARADOX'));
    DbiExit;
    if FileExists(Edit1.Text + '\PDOXUSRS.LCK') then
      begin
        MessageBeep(MB_OK);
        ShowMessage('Lock File was successfully created in ' + #13 + Edit1.Text);
      end
    else
      begin
        MessageBeep(MB_ICONEXCLAMATION);
        MessageDlg('Lock file was not created! Something went wrong!', mtError, [mbCancel], 0);
      end;
    Dbs.Free;
  end;
end;

end.
